Changes between Version 7 and Version 8 of Docs/PostProcessingApp


Ignore:
Timestamp:
02/01/18 17:01:27 (18 months ago)
Author:
ros
Comment:

Update for postproc_2.2 release

Legend:

Unmodified
Added
Removed
Modified
  • Docs/PostProcessingApp

    v7 v8  
    1111The post processing app originally resided in the UM repository, but was removed prior to the release of version 10.3. In January 2016 postproc_1.0 was released on the MOSRS MOCI repository, and users should upgrade all suites currently using the UM repository to use the new version. A [https://code.metoffice.gov.uk/trac/moci/wiki/app_postproc_umtomoci short guide is available on the MOSRS] for users needing to make this upgrade.  
    1212 
    13 === Upgrading to the ARCHER/NEXCS Post Processing Branch === 
     13=== Upgrading to the ARCHER/NEXCS Post Processing Release Version === 
    1414 
    15 The post processing for ARCHER is still in development but an initial stable version (r1859) has been released and will hopefully be incorporated into the Met Office MOCI trunk very soon.  It is based on the Met Office's most recent post processing version (postproc_2.0). 
     15The post processing for ARCHER has now been accepted onto the Met Office MOCI trunk and was included in release version postproc_2.2. 
    1616 
    17 Please ensure that the Rose Editor is closed before attempting to upgrade. 
     17Please ensure that the Rose Editor is closed before attempting to upgrade.  These instructions assume you are upgrading using centrally held meta-data. 
    1818 
    19191. Upgrade the fcm_make_pp app: 
     
    2121  * cd to `app/fcm_make_pp` 
    2222 
    23   * Run `rose app-upgrade -a` this will give a list of available upgrade/downgrade versions. The version marked with a "'''='''" is the current version. If it is not '''pp20_t109''' then you will need to upgrade it by running `rose app-upgrade -a pp20_t109`. 
     23  * Run `rose app-upgrade -a postproc_2.2` 
    2424 
    25252. Upgrade the postproc app: 
    2626 
    27   * Modify the first line of `app/postproc/rose-app.conf` to change '''meta=....''' setting.  This will be different dependending on the machine you are working on. \\ 
    28     On PUMA: 
    29     {{{ 
    30     meta=/home/ros/meta/postproc/2.0/r2142/rose-meta/archive_and_meaning/postproc/postproc_2.0 
    31     }}} 
    32     On XCS-C (NEXCS): 
    33     {{{ 
    34     meta=/home/d04/rhatcher/meta/postproc/2.0/r2142/rose-meta/archive_and_meaning/postproc/postproc_2.0 
    35     }}} 
    36  
    37   * Close `rose-app.conf` file 
    38  
    3927  * cd to `app/postproc`  
    4028 
    41   * Run the command: `rose app-upgrade -a pp20_t122` \\ 
    42    If it fails to find the upgrade tag pp20_t122 then run the command `rose app-upgrade -a` to list all available tags to check what is listed. You should see something like: 
     29  * Run the command: `rose app-upgrade -a postproc_2.2` 
     30 
     31   If it fails to find the upgrade tag postproc_2.2 then run the command `rose app-upgrade -a` to list all available tags to check what is listed. You should see something like: 
    4332{{{ 
    4433$ rose app-upgrade -a 
    45 = postproc_2.0 
    46 * pp20_t122 
     34= postproc_2.1 
     35* postproc_2.2 
     36 
    4737}}} 
    48  
    49   * Open the suite with `rose edit`. \\  
    50  Following this upgrade there will be a warning (either on opening the suite or viewing the postproc app) that the appropriate metadata version could not be found. You will then need to click on '''postproc''' and change '''meta''' to pick up the new metadata changes.  You should simply need to replace the trailing '''pp20_t122''' with '''HEAD''' and click "Apply".   
    51  
    52  For reference the path should be:\\ 
    53  Archer:  `/home/ros/meta/postproc/2.0/r2142/rose-meta/archive_and_meaning/postproc/HEAD`\\ 
    54  NEXCS: `/home/d04/rhatcher/meta/postproc/2.0/r2142/rose-meta/archive_and_meaning/postproc/HEAD` 
    5538 
    5639=== Configuring fcm_make_pp === 
     
    5841In Rose edit navigate to panel ''"fcm_make_pp -> Configuration"'' and make the following changes: 
    5942 
    60 1. Set '''config_base''' to: `fcm:moci.xm-br/dev/rosalynhatcher/r1901_archer_postproc` 
     431. Set '''config_base''' to: `fcm:moci.xm-tr` 
    6144 
    62 2. Set '''config_rev''' to: `@2142` 
     452. Set '''config_rev''' to: `@postproc_2.2` 
    6346 
    64 3. To '''pp_sources''' add the branch: `fcm:moci.xm-br/dev/rosalynhatcher/r1901_archer_postproc@2142` 
     473. Set '''pp_rev''' to: `postproc_2.2` 
    6548 
    66 4. Ensure the following branch is also included: `branches/dev/ericaneininger/postproc_2.0_retire_CYLC_SUITE_REG_NAME` 
     494. Remove old branches that refer to old postproc versions. 
    6750 
    6851=== Configuring postproc ===